classification
Title: fileinput input's and Fileinput's bufsize=0 marked for removal in 3.8
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mbussonn, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2019-05-17 21:25 by mbussonn, last changed 2019-05-21 02:11 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13400 merged mbussonn, 2019-05-18 00:46
Messages (2)
msg342769 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2019-05-17 21:25
Can likely thus be removed now. 

See also https://bugs.python.org/issue33563 that was tracking better deprecation warnings.

If not removed documentation should bump removal to 3.9
msg342953 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-05-20 20:44
New changeset 1a3faf9d9740a8c7505c61839ef09929a7ff9e35 by Serhiy Storchaka (Matthias Bussonnier) in branch 'master':
bpo-36952: Remove the bufsize parameter in fileinput.input(). (GH-13400)
https://github.com/python/cpython/commit/1a3faf9d9740a8c7505c61839ef09929a7ff9e35
History
Date User Action Args
2019-05-21 02:11:00inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-20 20:44:15serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg342953
2019-05-18 00:46:13mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13310
2019-05-17 21:25:16mbussonncreate